credentials_tests.c File Reference
`#include "credentials.c"`
`#include "strings.h"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions

| Describe (credentials)
| BeforeEach (credentials)
| AfterEach (credentials)
| Ensure (credentials, free_credentials_frees_all_fields)
| Ensure (credentials, append_to_credentials_username_appends_text)
| Ensure (credentials, append_to_credentials_password_appends_text)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | credentials |  | ) |

## BeforeEach()

BeforeEach | ( | credentials |  | ) |

## Describe()

Describe | ( | credentials |  | ) |

## Ensure() [1/3]

Ensure | ( | credentials | ,
|  | append_to_credentials_password_appends_text | )

## Ensure() [2/3]

Ensure | ( | credentials | ,
|  | append_to_credentials_username_appends_text | )

## Ensure() [3/3]

Ensure | ( | credentials | ,
|  | free_credentials_frees_all_fields | )

## main()

int main | ( | int | argc,
|  | char ** | argv )